Xerces-J API: Class HTMLLinkElementImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLLinkElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLLinkElementImpl

public class HTMLLinkElementImpl
extends HTMLElementImpl
implements HTMLLinkElement

Version:
  $Revision: 1.4 $ $Date: 2001/01/30 23:57:59 $
Author:
  Assaf Arkin
See Also:
  `HTMLLinkElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLLinkElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getCharset()` The character encoding of the resource being linked to.
`boolean` | `getDisabled()` Enables/disables the link.
`java.lang.String` | `getHref()` The URI of the linked resource.
`java.lang.String` | `getHreflang()` Language code of the linked resource.
`java.lang.String` | `getMedia()` Designed for use with one or more target media.
`java.lang.String` | `getRel()` Forward link type.
`java.lang.String` | `getRev()` Reverse link type.
`java.lang.String` | `getTarget()` Frame to render the resource in.
`java.lang.String` | `getType()` Advisory content type.
`void` | `setCharset(java.lang.String charset)`
`void` | `setDisabled(boolean disabled)`
`void` | `setHref(java.lang.String href)`
`void` | `setHreflang(java.lang.String hreflang)`
`void` | `setMedia(java.lang.String media)`
`void` | `setRel(java.lang.String rel)`
`void` | `setRev(java.lang.String rev)`
`void` | `setTarget(java.lang.String target)`
`void` | `setType(java.lang.String type)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLLinkElementImpl

    public HTMLLinkElementImpl(HTMLDocumentImpl owner,
                               java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getDisabled

    public boolean getDisabled()

  Description copied from interface: HTMLLinkElement
  Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets.
  Specified by:
    getDisabled in interface HTMLLinkElement

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    setDisabled in interface HTMLLinkElement

### getCharset

    public java.lang.String getCharset()

  Description copied from interface: HTMLLinkElement
  The character encoding of the resource being linked to. See the charset attribute definition in HTML 4.0.
  Specified by:
    getCharset in interface HTMLLinkElement

### setCharset

    public void setCharset(java.lang.String charset)

  Specified by:
    setCharset in interface HTMLLinkElement

### getHref

    public java.lang.String getHref()

  Description copied from interface: HTMLLinkElement
  The URI of the linked resource. See the href attribute definition in HTML 4.0.
  Specified by:
    getHref in interface HTMLLinkElement

### setHref

    public void setHref(java.lang.String href)

  Specified by:
    setHref in interface HTMLLinkElement

### getHreflang

    public java.lang.String getHreflang()

  Description copied from interface: HTMLLinkElement
  Language code of the linked resource. See the hreflang attribute definition in HTML 4.0.
  Specified by:
    getHreflang in interface HTMLLinkElement

### setHreflang

    public void setHreflang(java.lang.String hreflang)

  Specified by:
    setHreflang in interface HTMLLinkElement

### getMedia

    public java.lang.String getMedia()

  Description copied from interface: HTMLLinkElement
  Designed for use with one or more target media. See the media attribute definition in HTML 4.0.
  Specified by:
    getMedia in interface HTMLLinkElement

### setMedia

    public void setMedia(java.lang.String media)

  Specified by:
    setMedia in interface HTMLLinkElement

### getRel

    public java.lang.String getRel()

  Description copied from interface: HTMLLinkElement
  Forward link type. See the rel attribute definition in HTML 4.0.
  Specified by:
    getRel in interface HTMLLinkElement

### setRel

    public void setRel(java.lang.String rel)

  Specified by:
    setRel in interface HTMLLinkElement

### getRev

    public java.lang.String getRev()

  Description copied from interface: HTMLLinkElement
  Reverse link type. See the rev attribute definition in HTML 4.0.
  Specified by:
    getRev in interface HTMLLinkElement

### setRev

    public void setRev(java.lang.String rev)

  Specified by:
    setRev in interface HTMLLinkElement

### getTarget

    public java.lang.String getTarget()

  Description copied from interface: HTMLLinkElement
  Frame to render the resource in. See the target attribute definition in HTML 4.0.
  Specified by:
    getTarget in interface HTMLLinkElement

### setTarget

    public void setTarget(java.lang.String target)

  Specified by:
    setTarget in interface HTMLLinkElement

### getType

    public java.lang.String getType()

  Description copied from interface: HTMLLinkElement
  Advisory content type. See the type attribute definition in HTML 4.0.
  Specified by:
    getType in interface HTMLLinkElement

### setType

    public void setType(java.lang.String type)

  Specified by:
    setType in interface HTMLLinkElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.